perl-Test-Classy-0.100.0-3.mga6.noarch.rpm


Advertisement

Description

perl-Test-Classy - Write your unit tests in other modules than *.t

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package name perl-Test-Classy
Package version 0.100.0
Package release 3.mga6
Package architecture noarch
Package type rpm
Installed size 27.56 KB
Download size 21.13 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This is yet another the Test::Class manpage-like unit testing framework. As
stated in the Test::Class manpage pod, you don't need to care if your tests
are small and working correctly. If not, this may be one of your options.
Unlike the Test::Class manpage, Test::Classy (actually Test::Classy::Base)
is based on the Test::More manpage and exports everything the Test::More
manpage exports. Test::Classy doesn't control test flow as fully as the
Test::Class manpage, but it may be easier to skip and limit tests.

Alternatives

Package Version Architecture Repository
perl-Test-Classy-0.100.0-3.mga6.noarch.rpm 0.100.0 noarch Mageia Core
perl-Test-Classy - - -

Requires

Name Value
perl(Class::Data::Inheritable) -
perl(Class::Inspector) -
perl(Data::Dump) -
perl(Encode) -
perl(Module::Find) -
perl(Sub::Install) -
perl(Term::Encoding) -
perl(Test::Classy::Util) -
perl(Test::More) >= 0.470.0
perl(Test::UseAllModules) >= 0.90.0
perl(base) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(Test::Classy) == 0.100.0
perl(Test::Classy::Base) -
perl(Test::Classy::Util) -
perl-Test-Classy == 0.100.0-3.mga6

Download

Type URL
Binary Package perl-Test-Classy-0.100.0-3.mga6.noarch.rpm
Source Package perl-Test-Classy-0.100.0-3.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Test-Classy rpm package:
    # urpmi perl-Test-Classy

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/Test/Classy.pm
/usr/lib/perl5/vendor_perl/5.22.2/Test/Classy/Base.pm
/usr/lib/perl5/vendor_perl/5.22.2/Test/Classy/Util.pm
/usr/share/doc/perl-Test-Classy/Changes
/usr/share/doc/perl-Test-Classy/META.yml
/usr/share/doc/perl-Test-Classy/README
/usr/share/man/man3/Test::Classy.3pm.xz
/usr/share/man/man3/Test::Classy::Base.3pm.xz
/usr/share/man/man3/Test::Classy::Util.3pm.xz

Changelog

2016-06-19 - pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1034171
- Rebuild for perl 5.22.2
2016-02-18 - umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 967003
- Mageia 6 Mass Rebuild
2015-06-29 - sander85 <sander85> 0.100.0-1.mga6
+ Revision: 847933
- update to 0.10
2014-10-15 - umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 741066
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 686411
- Mageia 5 Mass Rebuild
2013-10-18 - umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 515089
- Mageia 4 Mass Rebuild

See Also

Package Description
perl-Test-CleanNamespaces-0.230.0-1.mga7.noarch.rpm Check for uncleaned imports
perl-Test-Cmd-1.90.0-1.mga6.noarch.rpm Perl module for portable testing of commands and scripts
perl-Test-Command-0.110.0-6.mga6.noarch.rpm Test routines for external commands
perl-Test-CompanionClasses-1.101.370-7.mga6.noarch.rpm Test companion class for the test companion class engine
perl-Test-Compile-1.3.0-1.mga6.noarch.rpm Check whether Perl module files compile correctly
perl-Test-ConsistentVersion-0.3.0-3.mga6.noarch.rpm Ensures distribution versions are consistent
perl-Test-Corpus-Audio-MPD-1.120.990-8.mga6.noarch.rpm Automate launching of fake mdp for testing purposes
perl-Test-Count-0.90.200-1.mga7.noarch.rpm A standalone command line
perl-Test-Cukes-0.100.0-10.mga7.noarch.rpm A BBD test tool inspired by Cucumber
perl-Test-Data-Split-0.2.1-1.mga7.noarch.rpm Hash backend
perl-Test-Debugger-0.140.0-8.mga6.noarch.rpm Create Test Scripts which Generate Log Files
perl-Test-Deep-1.128.0-1.mga7.noarch.rpm Extremely flexible deep comparison
perl-Test-Deep-JSON-0.50.0-1.mga7.noarch.rpm Compare JSON with Test::Deep
perl-Test-Deep-Type-0.8.0-1.mga7.noarch.rpm A Test::Deep plugin for validating type constraints
perl-Test-Dependencies-0.230.0-2.mga7.noarch.rpm Ensure that your Makefile.PL specifies all module dependencies
Advertisement
Advertisement